JSONParserConstants (Apache Tomcat 8.5.94 API Documentation)

Package org.apache.tomcat.util.json

## Interface JSONParserConstants

- All Known Implementing Classes:
    `JSONParser`, `JSONParserTokenManager`

      public interface JSONParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BRACE_CLOSE` | RegularExpression Id.
    `static int` | `BRACE_OPEN` | RegularExpression Id.
    `static int` | `BRACKET_CLOSE` | RegularExpression Id.
    `static int` | `BRACKET_OPEN` | RegularExpression Id.
    `static int` | `C_MULTILINE_COMMENT` | RegularExpression Id.
    `static int` | `C_SINGLE_COMMENT` | RegularExpression Id.
    `static int` | `COLON` | RegularExpression Id.
    `static int` | `COMMA` | RegularExpression Id.
    `static int` | `DEFAULT` | Lexical state.
    `static int` | `DIGIT` | RegularExpression Id.
    `static int` | `DIGIT_NONZERO` | RegularExpression Id.
    `static int` | `EOF` | End of File.
    `static int` | `EOL` | RegularExpression Id.
    `static int` | `FALSE` | RegularExpression Id.
    `static int` | `NULL` | RegularExpression Id.
    `static int` | `NUMBER_DECIMAL` | RegularExpression Id.
    `static int` | `NUMBER_INTEGER` | RegularExpression Id.
    `static int` | `QUOTE_DOUBLE` | RegularExpression Id.
    `static int` | `QUOTE_SINGLE` | RegularExpression Id.
    `static int` | `SH_SINGLE_COMMENT` | RegularExpression Id.
    `static int` | `STRING_DOUBLE_BODY` | RegularExpression Id.
    `static int` | `STRING_DOUBLE_EMPTY` | RegularExpression Id.
    `static int` | `STRING_DOUBLE_NONEMPTY` | RegularExpression Id.
    `static int` | `STRING_SINGLE_BODY` | RegularExpression Id.
    `static int` | `STRING_SINGLE_EMPTY` | RegularExpression Id.
    `static int` | `STRING_SINGLE_NONEMPTY` | RegularExpression Id.
    `static int` | `SYMBOL` | RegularExpression Id.
    `static java.lang.String[]` | `tokenImage` | Literal token values.
    `static int` | `TRUE` | RegularExpression Id.
    `static int` | `WHITESPACE` | RegularExpression Id.
    `static int` | `ZERO` | RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### C_SINGLE_COMMENT

          static final int C_SINGLE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### C_MULTILINE_COMMENT

          static final int C_MULTILINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SH_SINGLE_COMMENT

          static final int SH_SINGLE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WHITESPACE

          static final int WHITESPACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EOL

          static final int EOL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BRACE_OPEN

          static final int BRACE_OPEN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BRACE_CLOSE

          static final int BRACE_CLOSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BRACKET_OPEN

          static final int BRACKET_OPEN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BRACKET_CLOSE

          static final int BRACKET_CLOSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ZERO

          static final int ZERO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT_NONZERO

          static final int DIGIT_NONZERO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NUMBER_INTEGER

          static final int NUMBER_INTEGER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NUMBER_DECIMAL

          static final int NUMBER_DECIMAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRUE

          static final int TRUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FALSE

          static final int FALSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUOTE_DOUBLE

          static final int QUOTE_DOUBLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUOTE_SINGLE

          static final int QUOTE_SINGLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_SINGLE_EMPTY

          static final int STRING_SINGLE_EMPTY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_DOUBLE_EMPTY

          static final int STRING_DOUBLE_EMPTY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_SINGLE_BODY

          static final int STRING_SINGLE_BODY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_DOUBLE_BODY

          static final int STRING_DOUBLE_BODY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_SINGLE_NONEMPTY

          static final int STRING_SINGLE_NONEMPTY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_DOUBLE_NONEMPTY

          static final int STRING_DOUBLE_NONEMPTY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SYMBOL

          static final int SYMBOL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final java.lang.String[] tokenImage

      Literal token values.